import { EventEmitter } from '../../stencil-public-runtime';
export declare class SparkleInput {
  type: 'text' | 'textarea' | 'checkbox' | 'select';
  value: string | boolean;
  label: string;
  name: string;
  placeholder: string;
  checked: boolean;
  valueChanged: EventEmitter<string | boolean>;
  checkedChanged: EventEmitter<boolean>;
  private _options;
  options: {
    value: string;
    label: string;
  }[] | string;
  arrayDataWatcher(newValue: {
    value: string;
    label: string;
  }[] | string): void;
  componentWillLoad(): void;
  handleChange(event: Event): void;
  render(): any;
}
